Gentoo Websites Logo
Go to: Gentoo Home Documentation Forums Lists Bugs Planet Store Wiki Get Gentoo!
Bug 411299 - www-apache/mod_fastcgi fails to build with www-servers/apache 2.4
Summary: www-apache/mod_fastcgi fails to build with www-servers/apache 2.4
Status: RESOLVED FIXED
Alias: None
Product: Gentoo Linux
Classification: Unclassified
Component: [OLD] Server (show other bugs)
Hardware: All Linux
: Normal normal (vote)
Assignee: Jesus Rivero (RETIRED)
URL: https://github.com/ByteInternet/libap...
Whiteboard:
Keywords: PATCH
Depends on:
Blocks: apache-2.4-stable
  Show dependency tree
 
Reported: 2012-04-08 22:45 UTC by Simon Bühler
Modified: 2013-07-10 02:48 UTC (History)
1 user (show)

See Also:
Package list:
Runtime testing required: ---


Attachments
works but needs Manifest fixed because different file (file_411299.txt,933 bytes, text/plain)
2013-05-12 12:47 UTC, Darko Luketic
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Simon Bühler 2012-04-08 22:45:29 UTC
hi,

www-apache/mod_fastcgi-2.4.7_pre0910052141 fails against apache 2.4, a patch is available here
https://github.com/ByteInternet/libapache-mod-fastcgi/blob/byte/debian/patches/byte-compile-against-apache24.diff

and works for me, please add to tree, thanks
Comment 1 Diego Elio Pettenò (RETIRED) gentoo-dev 2012-10-16 22:45:04 UTC
https://tinderboxlogs.s3.amazonaws.com/tbamd64.excelsior.flameeyes.eu/www-apache%3Amod_fastcgi-2.4.7_pre0910052141%3A20121016-034659.html

This is the build log, I can see the failure.
Comment 2 Darko Luketic 2013-05-12 12:47:49 UTC
Created attachment 348068 [details]
works but needs Manifest fixed because different file
Comment 3 Darko Luketic 2013-06-06 00:48:15 UTC
Jesus, do you need help? Are you busy with real life?
Comment 4 Jesus Rivero (RETIRED) gentoo-dev 2013-06-06 16:49:57 UTC
(In reply to Darko Luketic from comment #3)
> Jesus, do you need help? Are you busy with real life?

Hi Darko, I'll get to this by this weekend.
Comment 5 Jesus Rivero (RETIRED) gentoo-dev 2013-07-10 02:48:05 UTC
This should take care of this problem:

+*mod_fastcgi-2.4.7_pre0910052141-r1 (10 Jul 2013)
+
+  10 Jul 2013; <neurogeek@gentoo.org>
+  +files/mod_fastcgi-compile-against-apache2.4.patch,
+  -files/2.4.6-graceful.patch, +mod_fastcgi-2.4.7_pre0910052141-r1.ebuild:
+  Bumped EAPI=5, added patch to compile against apache-2.4. Closes bug #411299
+

Regards,